Name: opencv
Version: 2.0.0
Release: %mkrel 1
Group: Sound
License: GPLv2+
Summary: A library of programming functions mainly aimed at real time computer vision
URL: http://opencv.willowgarage.com/wiki/
Source: http://sourceforge.net/projects/opencvlibrary/files/opencv-unix/2.0/OpenCV-%{version}.tar.bz2
Patch0: OpenCV-2.0.0-link-v4l2.patch
Patch1: OpenCV-2.0.0-libdir.patch
Patch2: OpenCV-2.0.0-gcc-4.3.patch
BuildRequires: gtk2-devel
BuildRequires: libgstreamer-devel
BuildRequires: zlib-devel
BuildRequires: libjpeg-devel
BuildRequires: libjasper-devel
BuildRequires: tiff-devel
BuildRequires: libv4l-devel
BuildRequires: libunicap-devel
BuildRequires: libpng-devel
BuildRequires: swig
BuildRequires: cmake
BuildRequires: python-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
OpenCV (Open Source Computer Vision) is a library of programming functions mainly aimed at real time computer vision.

#--------------------------------------------------------------------------------

%define libcv_soname 2
%define libcv %mklibname cv %{libcv_soname}

%package -n %{libcv}
Summary: OpenCv core library
Group: System/Libraries

%description -n %{libcv}
OpenCv core library

%files -n %{libcv}
%defattr(-,root,root,-)
%_libdir/libcv.so.%{libcv_soname}*

#--------------------------------------------------------------------------------

%define libcvaux_soname 2
%define libcvaux %mklibname cvaux %{libcvaux_soname}

%package -n %{libcvaux}
Summary: OpenCv core library
Group: System/Libraries

%description -n %{libcvaux}
OpenCv core library

%files -n %{libcvaux}
%defattr(-,root,root,-)
%_libdir/libcvaux.so.%{libcvaux_soname}*

#--------------------------------------------------------------------------------

%define libcxcore_soname 2
%define libcxcore %mklibname cxcore %{libcxcore_soname}

%package -n %{libcxcore}
Summary: OpenCv core library
Group: System/Libraries

%description -n %{libcxcore}
OpenCv core library

%files -n %{libcxcore}
%defattr(-,root,root,-)
%_libdir/libcxcore.so.%{libcxcore_soname}*

#--------------------------------------------------------------------------------

%define libml_soname 2
%define libml %mklibname ml %{libml_soname}

%package -n %{libml}
Summary: OpenCv core library
Group: System/Libraries

%description -n %{libml}
OpenCv core library

%files -n %{libml}
%defattr(-,root,root,-)
%_libdir/libml.so.%{libml_soname}*

#--------------------------------------------------------------------------------

%define libhighgui_soname 2
%define libhighgui %mklibname highgui %{libhighgui_soname}

%package -n %{libhighgui}
Summary: OpenCv core library
Group: System/Libraries

%description -n %{libhighgui}
OpenCv core library

%files -n %{libhighgui}
%defattr(-,root,root,-)
%_libdir/libhighgui.so.%{libhighgui_soname}*

#--------------------------------------------------------------------------------

%package devel
Summary: OpenCv development files
Group: Development/C
Provides: libopencv-devel = %version
Requires: %{libcv}
Requires: %{libhighgui}
Requires: %{libcxcore}
Requires: %{libcvaux}
Requires: %{libml}

%description devel
OpenCv development files.

%files devel
%defattr(-,root,root,-)
%_libdir/*.so
%_includedir/*
%_libdir/pkgconfig/*
%_datadir/opencv/OpenCVConfig.cmake

#--------------------------------------------------------------------------------

%package -n python-opencv
Summary: OpenCv python bindings
Group: Development/Other
%py_requires -d

%description -n python-opencv
OpenCv python bindings.

%files -n python-opencv
%defattr(-,root,root,-)
%python_sitearch/*

#--------------------------------------------------------------------------------

%package doc
Summary: OpenCv docs
Group: Books/Computer books

%description doc
OpenCv docs.

%files doc
%defattr(-,root,root,-)
%_datadir/opencv/doc

#--------------------------------------------------------------------------------

%package samples
Summary: OpenCv samples
Group: Books/Computer books

%description samples
OpenCv samples.

%files samples
%defattr(-,root,root,-)
%{_bindir}/opencv_createsamples
%{_bindir}/opencv_haartraining
%{_bindir}/opencv_performance
%{_bindir}/opencv_traincascade
%dir %_datadir/opencv
%_datadir/opencv/samples
%_datadir/opencv/haarcascades
%_datadir/opencv/lbpcascades
#--------------------------------------------------------------------------------

%prep
%setup -q -n OpenCV-%{version}
%patch0 -p0 -b .v4l2
%patch1 -p0 -b .libdir
%patch2 -p0 -b .gcc43

%build
%cmake \
	-DBUILD_EXAMPLES=BOOL:ON \
	-DINSTALL_C_EXAMPLES=BOOL:ON \
	-DINSTALL_PYTHON_EXAMPLES=BOOL:ON \
	-DINSTALL_OCTAVE_EXAMPLES=BOOL:ON
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

%check
pushd build
# fwang: to be fixed by upstream:
# Some correctness tests occasionally fail; in 99% of cases those
# are known problems in the tests.
# LD_LIBRARY_PATH=%{buildroot}%{_libdir}:`pwd`/lib:%{_libdir} ctest -V
popd

%clean
rm -rf %{buildroot}


%changelog
* Mon Oct 05 2009 Funda Wang <fundawang@mandriva.org> 2.0.0-1mdv2010.0
+ Revision: 454047
- New version 2.0
- brand new cmake-based buildsystem
- fix swig python
- sync with fedora patches

  + Oden Eriksson <oeriksson@mandriva.com>
    - P7: fix build
    - rebuilt against libjpeg v7

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Sat Dec 27 2008 Funda Wang <fundawang@mandriva.org> 1.1.0-0.pre1.2mdv2009.1
+ Revision: 319678
- fix str fmt
- rebuild for new python

  + Buchan Milne <bgmilne@mandriva.org>
    - add require on libml package to opencv-devel

* Wed Nov 26 2008 Helio Chissini de Castro <helio@mandriva.com> 1.1.0-0.pre1.1mdv2009.1
+ Revision: 307157
- Enable gstreamer compilation
- Enable libunicap
- Remove empty opencv package
- import opencv


